=== debian/control ===
Source: ros-kinetic-dataflow-lite
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), cmake, google-mock, libgtest-dev, ros-kinetic-aws-common
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-dataflow-lite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-aws-common
Description: Light version of dataflow libraries
